Loading...
Searching...
No Matches
pcl::visualization::PointCloudColorHandlerGenericField< PointT > Class Template Reference
Module visualization

Generic field handler class for colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandlerGenericField< PointT >:

## Public Types

using | Ptr = shared_ptr<PointCloudColorHandlerGenericField<PointT> >
using | ConstPtr = shared_ptr<const PointCloudColorHandlerGenericField<PointT> >
Public Types inherited from pcl::visualization::PointCloudColorHandler< PointT >
using | PointCloud = pcl::PointCloud<PointT>
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | Ptr = shared_ptr<PointCloudColorHandler<PointT> >
using | ConstPtr = shared_ptr<const PointCloudColorHandler<PointT> >

## Public Member Functions

| PointCloudColorHandlerGenericField (const std::string &field_name)
| Constructor.
| PointCloudColorHandlerGenericField (const PointCloudConstPtr &cloud, const std::string &field_name)
| Constructor.
virtual std::string | getFieldName () const
| Get the name of the field used.
vtkSmartPointer< vtkDataArray > | getColor () const override
| Obtain the actual color for the input dataset as a VTK data array.
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used.
Public Member Functions inherited from pcl::visualization::PointCloudColorHandler< PointT >
| PointCloudColorHandler ()
| Constructor.
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor.
virtual | ~PointCloudColorHandler ()=default
| Destructor.
bool | isCapable () const
| Check if this handler is capable of handling the input data or not.

## Protected Member Functions

virtual std::string | getName () const
| Class getName method.

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudColorHandler< PointT >
PointCloudConstPtr | cloud_
| A pointer to the input dataset.
bool | capable_
| True if this handler is capable of handling the input data, false otherwise.
int | field_idx_
| The index of the field holding the data that represents the color.
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud.

## Detailed Description

template<typename PointT>
class pcl::visualization::PointCloudColorHandlerGenericField< PointT >

Generic field handler class for colors.

Uses an user given field to extract 1D data and display the color at each point using a min-max lookup table.

Author
  Radu B. Rusu

Definition at line 344 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT>

using pcl::visualization::PointCloudColorHandlerGenericField< PointT >::ConstPtr = shared_ptr<const PointCloudColorHandlerGenericField<PointT> >

Definition at line 352 of file point_cloud_color_handlers.h.

## Ptr

template<typename PointT>

using pcl::visualization::PointCloudColorHandlerGenericField< PointT >::Ptr = shared_ptr<PointCloudColorHandlerGenericField<PointT> >

Definition at line 351 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

## PointCloudColorHandlerGenericField() [1/2]

template<typename PointT>

pcl::visualization::PointCloudColorHandlerGenericField< PointT >::PointCloudColorHandlerGenericField | ( | const std::string & | field_name | ) |

inline

Constructor.

Definition at line 355 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_.

## PointCloudColorHandlerGenericField() [2/2]

template<typename PointT>

pcl::visualization::PointCloudColorHandlerGenericField< PointT >::PointCloudColorHandlerGenericField | ( | const PointCloudConstPtr & | cloud,
|  | const std::string & | field_name )

inline

Constructor.

Definition at line 362 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::PointCloudColorHandler(), and setInputCloud().

## Member Function Documentation

## getColor()

template<typename PointT>

vtkSmartPointer< vtkDataArray > pcl::visualization::PointCloudColorHandlerGenericField< PointT >::getColor | ( |  | ) | const

override virtual

Obtain the actual color for the input dataset as a VTK data array.

Deriving handlers should override this method.

Returns
  smart pointer to VTK array if the operation was successful (the handler is capable and the input cloud was given), a null pointer otherwise

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 385 of file point_cloud_color_handlers.hpp.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_, pcl::visualization::PointCloudColorHandler< PointT >::cloud_, pcl::visualization::PointCloudColorHandler< PointT >::field_idx_, pcl::visualization::PointCloudColorHandler< PointT >::fields_, pcl::getFieldSize(), and pcl::isXYZFinite().

## getFieldName()

template<typename PointT>

virtual std::string pcl::visualization::PointCloudColorHandlerGenericField< PointT >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 371 of file point_cloud_color_handlers.h.

## getName()

template<typename PointT>

virtual std::string pcl::visualization::PointCloudColorHandlerGenericField< PointT >::getName | ( |  | ) | const

inline protected virtual

Class getName method.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 385 of file point_cloud_color_handlers.h.

## setInputCloud()

template<typename PointT>

void pcl::visualization::PointCloudColorHandlerGenericField< PointT >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

virtual

Set the input cloud to be used.

Parameters

  [in] | cloud | the input cloud to be used by the handler

Reimplemented from pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 366 of file point_cloud_color_handlers.hpp.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_, pcl::visualization::PointCloudColorHandler< PointT >::field_idx_, pcl::visualization::PointCloudColorHandler< PointT >::fields_, pcl::PCLPointField::FLOAT32, pcl::getFieldIndex(), and pcl::visualization::PointCloudColorHandler< PointT >::setInputCloud().

Referenced by PointCloudColorHandlerGenericField().

The documentation for this class was generated from the following files:

- pcl/visualization/point_cloud_color_handlers.h
- pcl/visualization/impl/point_cloud_color_handlers.hpp